Skip to content

Funds account exchange rate query

  • Endpoint: POST /aggregate-pay/api/gateway/queryCurrencyExchangeRate
  • Tags: Forex(New)

Description

Support querying fund account exchange rate scenarios

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version,Current value:1.5
keyVersionstringYesSignature Algorithm Version,Current value: 1
requestTimestringYesRequest time,compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
memberIdstringYesmember Id,the unique identifier generated when the merchant signs the contract with
dataobjectYes
data.ccyPairListarray[object]YesCurrency pair list
data.ccyPairList[].sidestringYesFor the buying and selling direction of trading currencies,BUY/SELL
data.ccyPairList[].targetCurrencystringYesForeign exchange target currency
data.ccyPairList[].transactionCurrencystringYesForeign exchange trading currency

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-03T12:23:13.712+00:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20251126P01B55000029000008",
  "data": {
    "ccyPairList": [
      {
        "side": "SELL",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      },
      {
        "side": "BUY",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      }
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYesReturn code,'APPLY_SUCCESS' means success
codestringYes
dataobjectYes
data.rateListarray[object]Yes
data.rateList[].ccyPairstringYesCurrency pair
data.rateList[].expiryTimestringYesExchange rate expiration time,may be empty, format: yyyy MM dd'D'HH: mm: ss.SSSSXXX
data.rateList[].ratenumberYesWhat is the foreign exchange trading currency representing a unit? Target currency exchange rate
data.rateList[].rateReferenceIdstringYesUnique ID for exchange rate
data.rateList[].rateTypestringYesTradable/Reference
data.rateList[].sidestringYesFor the buying and selling direction of trading currencies,BUY/SELL
data.rateList[].targetCurrencystringYesForeign exchange target currency
data.rateList[].transactionCurrencystringYesForeign exchange trading currency

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "rateList": [
      {
        "ccyPair": "IDRUSD",
        "expiryTime": "2025-10-20T05:57:25.736Z",
        "rate": 0.00006213,
        "rateReferenceId": "tieredBatchId0018176093978450500010002",
        "rateType": "Tradable",
        "side": "SELL",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      },
      {
        "ccyPair": "IDRUSD",
        "expiryTime": "2025-10-20T05:57:26.699Z",
        "rate": 0.00006484,
        "rateReferenceId": "tieredBatchId0018176093978450500010002",
        "rateType": "Tradable",
        "side": "BUY",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      }
    ]
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.